List customer virtual accounts
curl --request GET \
--url https://api.daya.co/v1/customers/{id}/virtual-accounts \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/customers/{id}/virtual-accounts"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/customers/{id}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.daya.co/v1/customers/{id}/virtual-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.daya.co/v1/customers/{id}/virtual-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.daya.co/v1/customers/{id}/virtual-accounts")
.header("X-Api-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.daya.co/v1/customers/{id}/virtual-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "650e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440002",
"merchant_id": "650e8400-e29b-41d4-a716-446655440001",
"currency": "usd",
"status": "active",
"provider": "bridge",
"developer_fee": {
"percentage": "1.5"
},
"deposit_instructions": {
"bank_beneficiary_name": "Bridge Trust",
"bank_beneficiary_address": "123 Finance St, New York, NY",
"bank_name": "Lead Bank",
"bank_address": "1801 Main St, Kansas City, MO",
"bank_routing_number": "101019644",
"bank_account_number": "1234567890",
"payment_rails": ["ach_push", "wire"]
},
"created_at": "2026-01-05T15:04:05Z",
"updated_at": "2026-01-05T15:04:05Z"
}
],
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1
}
USD and EUR Virtual Accounts
List customer virtual accounts
List USD and EUR virtual accounts for a customer
GET
/
v1
/
customers
/
{id}
/
virtual-accounts
List customer virtual accounts
curl --request GET \
--url https://api.daya.co/v1/customers/{id}/virtual-accounts \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/customers/{id}/virtual-accounts"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/customers/{id}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.daya.co/v1/customers/{id}/virtual-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.daya.co/v1/customers/{id}/virtual-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.daya.co/v1/customers/{id}/virtual-accounts")
.header("X-Api-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.daya.co/v1/customers/{id}/virtual-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "650e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440002",
"merchant_id": "650e8400-e29b-41d4-a716-446655440001",
"currency": "usd",
"status": "active",
"provider": "bridge",
"developer_fee": {
"percentage": "1.5"
},
"deposit_instructions": {
"bank_beneficiary_name": "Bridge Trust",
"bank_beneficiary_address": "123 Finance St, New York, NY",
"bank_name": "Lead Bank",
"bank_address": "1801 Main St, Kansas City, MO",
"bank_routing_number": "101019644",
"bank_account_number": "1234567890",
"payment_rails": ["ach_push", "wire"]
},
"created_at": "2026-01-05T15:04:05Z",
"updated_at": "2026-01-05T15:04:05Z"
}
],
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1
}
Overview
Lists all USD and EUR virtual accounts for one customer under the authenticated merchant. The customer must have completed Tier 2 verification. EUR accounts also require approval for SEPA access. Each account includes its fundingcurrency, bank deposit_instructions, and developer_fee.percentage.
Authentication
string
required
Your merchant API key
Path Parameters
string
required
Customer ID (UUID format)Example:
650e8400-e29b-41d4-a716-446655440002Query Parameters
integer
Number of results per page (default: 50, max: 200)
integer
Page number (default: 1)
string
Filter by statusAllowed values:
active | inactiveRequest Example
curl --request GET \
--url 'https://api.daya.co/v1/customers/650e8400-e29b-41d4-a716-446655440002/virtual-accounts' \
--header 'X-Api-Key: YOUR_API_KEY'
Response
array
required
Array of virtual account objects for the customer
integer
required
Current page number
integer
required
Results per page
integer
required
Total number of virtual accounts
integer
required
Total number of pages
{
"data": [
{
"id": "650e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440002",
"merchant_id": "650e8400-e29b-41d4-a716-446655440001",
"currency": "usd",
"status": "active",
"provider": "bridge",
"developer_fee": {
"percentage": "1.5"
},
"deposit_instructions": {
"bank_beneficiary_name": "Bridge Trust",
"bank_beneficiary_address": "123 Finance St, New York, NY",
"bank_name": "Lead Bank",
"bank_address": "1801 Main St, Kansas City, MO",
"bank_routing_number": "101019644",
"bank_account_number": "1234567890",
"payment_rails": ["ach_push", "wire"]
},
"created_at": "2026-01-05T15:04:05Z",
"updated_at": "2026-01-05T15:04:05Z"
}
],
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1
}